
Family Care - Bug #2358

Update File - 3ed step (المدقق)

01/13/2021 01:37 PM - Saja Nakhleh

Status: Closed Start date: 01/13/2021

Priority: Normal Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

1. the mandatory fields are not marked as

mandatory and not validated so the user

can submit without filling them

.accepts any data type رقم القرار .2

evidence 38.gif

Issue #2:

the delete action is enabled and once it's

clicked an error will be occurred as on

evidence 39.gif

Issue #3:

the task will keep opening and once the

submit action is clicked again an

exception will be occurred evidence 40.gif

ISsue #4:

an empty page will be opened !

Severity: Normal Environment: QA

Category: Update file Transaction Number:  

Sub-Category:  Username:  

Step_Description:  Browser:  

Pre_Conditions:  URL:  

Expected Result: Issue #1:

1.the mandatory fields should marked by

red stars

2. the (رقم القرار) field should accept

numbers and backslashes only i.e:

235/658

Issue #2:

while the table is empty, then the delete

action should be disabled

Issue #3:

once the user clicks OK on the

confirmation message then the task

should be closed, disappeared and

assigned to the next step

Issue #4:

the report should be opened

if the data is NULL, then an empty framed

report will be generated and opened

if the data is exist then a filled framed

report will be generated and opened

Test Case ID:  
Description

Issue #1:

1. submit new Update file task

2. Pass the task to the 3ed step (المدقق)

3. Observe mandatory field

:tab بيانات المدقق

التوصية

رقم القرار

تاريخ اصدار القرار

4. fill the رقم القرار with: Test123تجربة$!@

Issue #2:

1. submit new Update file task

2. Pass the task to the 3ed step (المدقق)

3. navigate to the (بيانات المدقق) tab

4. Observe the Delete action on the (الاستحقاقات) table

Issue #3:

1. submit new Update file task

2. Pass the task to the 3ed step (المدقق)

3. navigate to the (بيانات المدقق) tab

4. Add ne record on the (الاستحقاقات) table

5. click submit and observe the occurred message

Issue #4:

1. submit new Update file task

2. Pass the task to the 3ed step (المدقق)

3. Click the (financial data) action

4. Observe the opened page

History

#1 - 01/18/2021 10:28 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Rahaf Khashroom

Dear Rahaf,

Kindly review the bugs and take action.

#2 - 01/25/2021 02:26 PM - Rahaf Khashroom

- Assignee changed from Rahaf Khashroom to Saja Nakhleh

Issue #1:

1.Fixed

2.Fixed

Issue #2: Fixed

Issue #3: Fixed

Issue #4: Will be handled from Mohannad side

#3 - 01/25/2021 02:47 PM - Rahaf Khashroom

Issue #1:

1.Fixed.

the field "التوصية" is checked when the user clicks the approve button. I changed the message that will validate this field to "الرجاء ادخال

."الرجاء ادخال القرار" instead of "التوصية

Also I changed this message on "Researcher" and "Supervisor" steps.
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/1


#4 - 03/29/2021 01:39 PM - Rahaf Khashroom

- Status changed from Open to Fixed

#5 - 04/12/2021 03:14 PM - Saja Nakhleh

- Status changed from Fixed to Closed

issue #1:

tested and verified.

issue #2:

tested and verified.

issue #3:

tested and verified.

issue #4:

tested and verified.

Files

38.GIF 295 KB 01/13/2021 Saja Nakhleh

39.GIF 46.5 KB 01/13/2021 Saja Nakhleh

40.GIF 324 KB 01/13/2021 Saja Nakhleh
